IARRAY_CLIP_SCALE_AND_OFFSET(3)

EXPERIMENTAL_FUNC
iarray_clip_scale_and_offset - Clip, scale and offset an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_clip_scale_and_offset

(iarray out, iarray inp, double scale, double offset, double lower_clip, double upper_clip, flag blank)

DESCRIPTION
This routine will perform a clipping operation followed by a scale and offset on every element in an "Intelligent Array". The operation following the clipping is: (output = input * scale + offset).

out The output Intelligent Array.

inp The input Intelligent Array.

scale
    The scale value.

offset
    The offset value.

lower_clip
    The input data is clipped so that no value is below this.

upper_clip
    The input data is clipped so that no value is above this.

blank
    If TRUE, clipped values are blanked.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The input and output arrays MUST be the same size (though not necessarily the same type). Both arrays must be real.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/